import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MoreOptionsComponent implements OnInit {
    options: any[];
    label: string;
    singularHeading: string;
    pluralHeading: string;
    toggleMoreList: boolean;
    constructor();
    ngOnInit(): void;
    onCloseOptions(): void;
    onToggleMoreList(): void;
    static ɵfac: i0.ɵɵFactoryDef<MoreOptionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MoreOptionsComponent, "ins-more-options", never, { "options": "options"; "label": "label"; "singularHeading": "singularHeading"; "pluralHeading": "pluralHeading"; }, {}, never, never>;
}
